@extends('dashboards.layouts.dash-layout')
@section('title', 'Purchase Order')

@section('content')

    <!-- Content Header (Page header) -->
    <section class="content-header">
        <div class="container-fluid mt-2 px-3">
            <div class="row mb-2">
                <div class="col-sm-6">
                    <h1>Purchase Order</h1>
                </div>
                <div class="col-sm-6">
                    <ol class="breadcrumb float-sm-right">
                        <li class="breadcrumb-item"><a href="{{ Route('adminIndexPo') }}">Purchase Order</a></li>
                    </ol>
                </div>
            </div>
        </div><!-- /.container-fluid -->

        @if ($message = Session::get('success'))
            <div class="container-fluid px-3">
                <div class="card card-success">
                    <div class="card-header">
                        <h3 class="card-title">SUKSES</h3>

                        <div class="card-tools">
                            <button type="button" class="btn btn-tool" data-card-widget="remove"><i
                                    class="fas fa-times"></i>
                            </button>
                        </div>
                        <!-- /.card-tools -->
                    </div>
                    <!-- /.card-header -->
                    <div class="card-body">
                        <strong> {{ $message }} </strong>
                        @foreach ($errors->all() as $error)
                            <li>{{ $error }}</li>
                        @endforeach
                    </div>
                    <!-- /.card-body -->
                </div>
            </div>
        @endif
    </section>

    <!-- Main content -->
    <section class="content">
        <div class="container-fluid px-3">
            <div class="row">
                <div class="col-12">
                    <div class="card">
                        <div class="card-header">
                        </div>
                        <!-- /.card-header -->
                        <div class="card-body">
                            <table id="example1" class="table table-bordered table-striped">
                                <thead>
                                    <tr>
                                        <th>No</th>
                                        <th>Kode RFQ</th>
                                        <th>Kode Vendor</th>
                                        <th>Nama Vendor</th>
                                        <th>Tanggal Pembelian</th>
                                        <th>Tanggal Diterima</th>
                                        <th>Status</th>
                                        <th width="170px">Aksi</th>
                                        <th>Receive</th>
                                        <th>Validate</th>
                                        <th>Paid</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @foreach ($pos as $po)
                                        <tr>
                                            <td>{{ $loop->iteration }}</td>
                                            <td>{{ $po->koderfq }}</td>
                                            <td>{{ $po->kodevend }}</td>
                                            <td>{{ $po->panggilVendor->namavendor }}</td>
                                            <td>{{ $po->tglpembelian }}</td>
                                            <td>{{ $po->tglditerima }}</td>
                                            <td>{{ $po->status }}</td>
                                            <td>
                                                <form action="{{ route('adminDestroyPo', $po->idpo) }}" method="POST">

                                                    @csrf
                                                    @method('DELETE')

                                                    <button type="submit" class="btn btn-danger">Delete</button>
                                                </form>
                                            </td>
                                            <td>
                                                <form action="{{ route('adminReceivePo') }}" method="GET">
                                                  @csrf
                                                  <input type="hidden" class="form-control" id="idponya" placeholder="idponya" value="{{ $po->idpo }}" name="idponya">
                                                  <button type="submit" class="btn btn-primary" style="margin-right: 5px;"  {{ $po->status != 'Purchase Order' ? 'disabled' : '' }}>
                                                    <i class="fas fa-check"></i> Receive
                                                  </button>
                                                </form>
                                            </td>
                                            <td>
                                                <form action="{{ route('adminValidatePo') }}" method="GET">
                                                  @csrf
                                                  <input type="hidden" class="form-control" id="idponya" placeholder="idponya" value="{{ $po->idpo }}" name="idponya">
                                                  <button type="submit" class="btn btn-primary" style="margin-right: 5px;"  {{ $po->status != 'Receive' ? 'disabled' : '' }}>
                                                    <i class="fas fa-check"></i> Validated
                                                  </button>
                                                </form>
                                            </td>
                                            <td>
                                                <form action="{{ route('adminPaidPo') }}" method="GET">
                                                  @csrf
                                                  <input type="hidden" class="form-control" id="idrfqnya" placeholder="idrfqnya" value="{{ $po->idrfqnya }}" name="idrfqnya">
                                                  <input type="hidden" class="form-control" id="koderfqnya" placeholder="koderfqnya" value="{{ $po->koderfq }}" name="koderfqnya">
                                                  <button type="submit" class="btn btn-primary" style="margin-right: 5px;"  {{ $po->status != 'Validated' ? 'disabled' : '' }}>
                                                    <i class="fas fa-check"></i> Paid
                                                  </button>
                                                </form>
                                            </td>
                                        </tr>
                                    @endforeach
                                    </tfoot>
                            </table>
                        </div>
                        <!-- /.card-body -->
                    </div>
                    <!-- /.card -->
                </div>
                <!-- /.col -->
            </div>
            <!-- /.row -->
        </div>
        <!-- /.container-fluid -->
    </section>
    @push('js')
        <script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.36/pdfmake.min.js"></script>
        <script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/pdfmake/0.1.36/vfs_fonts.js"></script>
        <script type="text/javascript"
            src="https://cdn.datatables.net/v/dt/dt-1.13.1/b-2.3.3/b-html5-2.3.3/b-print-2.3.3/datatables.min.js"></script>

        <script>
            $(document).ready(function() {
                $('#example1').DataTable({
                    "language": {
                        "lengthMenu": "Tampilkan _MENU_ data per halaman",
                        "zeroRecords": "Tidak ada data - Maaf",
                        "info": "Menampilkan halaman ke- _PAGE_ dari _PAGES_",
                        "infoEmpty": "Tidak ada data yang tersedia",
                        "infoFiltered": "(Filterisasi dari _MAX_ total data)",
                        "search": "Cari :",
                        "paginate": {
                            "first": "Awal",
                            "last": "Akhir",
                            "next": "Selanjutnya",
                            "previous": "Sebelumnya"
                        },
                    }
                });
            });
        </script>
    @endpush
@endsection
